Skip to main content
Query app profiles
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

summary flag

filter.namePattern
string

app profile name pattern

filter.id
string

app profile id

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, title, description

Response

A successful response.

summaryByState
Summary is used to store the Summary details · object

app profile by summary

list
object[]

App profile summary list response

next
Cursor is used as filter in list operation. · object

cursor next